#ifndef _GETKEY_HPP_
#define _GETKEY_HPP_

#define BS 8
#define ESC 27
#define HOME 327
#define END 335
#define UP 328
#define DOWN 336
#define PGUP 329
#define PGDN 337
#define LEFT 331
#define INS 338
#define RIGHT 333
#define DEL 339
#define CTRLLEFT 371
#define CTRLRIGHT 372
#define F1 315
#define F2 316
#define F3 317
#define F4 318
#define F5 319
#define F6 320
#define F7 321
#define F8 322
#define F9 323
#define F10 324
#define ENTER 13

// 頥  ⮩ 
int getKey()
{
#ifdef _Windows

 int key = getch();
 if(!key) key = 256 + getch();
 return key;

#else

int key;
asm{
                mov  ah,01h
                int  16h
                jnz  readkey
                xor  ax,ax
                jp   out
}readkey:asm{
                xor  ah,ah
                int  16h
                and  al,al
                jnz  ascii

                xchg ah,al
                mov  ah,1
                jp   out
}ascii:asm{
                xor  ah,ah
}out:asm{
                mov  key,ax
}
 return key;

#endif

}


#endif
