#include <conio.h>
#include <ctype.h>
#include <stddef.h>
#include <stdarg.h>

#include "slist.hpp"
#include "getkey.hpp"      
#include "islist.hpp"
#include "bview.h"
#include "mouse.h"
#include "win.h"

#define VER "0.6b" // ணࠬ

#define USER_COLOR
  //᫨ 祭,  梥   ᫥ 12  BView.exe
  // ᯮ 梥  㬠砭

int winCols,winRows;
int basicSize;
u8 *fileBuf;

FILE *bFile;

SList list;
size_t cur;

ISList lineList;
ISList lineList2;

u8 flag[3];

//  ஫쭮 㬬  HOBETA 䠩
u16 checkSum(HoHdr &header)
{
 u16 sum = 0;
 u8 *ptr = (u8*) &header;
 for(int i = 0; i < 15; i++) sum += ptr[i];
 return 257*sum + 105;
}

u16 count = 0;  // 稪   ப
u8 *ptr;        // 㪠⥫  ⥪騩 ᨬ

u8 GC(void) { u8 tmp = *ptr++; count++; return tmp; }
u16 GW(void) { u16 tmp = *(u16*)ptr; ptr += 2; count+= 2; return tmp; }

u8 lineBuf[256];
u8 currentColor;
int pos = 0;
int screenPos = 0;


void putToken(u8 color, u8 *buf)
{
 int size  = strlen(buf);
 if((size+screenPos) >= winCols)
 {
  lineBuf[pos] = 0;
  list.add(lineBuf);
  lineBuf[0] = color;
  memset(lineBuf+1, ' ', 6);
  pos = 7;
  screenPos = 6;
  currentColor = color;
 }

 if(currentColor != color)
 {
  currentColor = color;
  lineBuf[pos++] = color;
 }

 memcpy(lineBuf+pos, buf, size);
 pos += size;
 screenPos += size;
 lineBuf[pos] = 0;
}

void putString(u8 color, const char *fmtString, ...)
{
 va_list marker;
 char buf[32];

 va_start(marker, fmtString);
 vsprintf(buf, fmtString, marker);
 va_end(marker);

 putToken(color, buf);
}

int isTRDOSCommand(u8 byte)
{
 if(byte>206 && byte <215) return 1;
 switch(byte)
 {
  case '*':
  case '4':
  case '8':
  case 190:
  case 230:
  case 236:
  case 239:
  case 240:
  case 244:
  case 247:
  case 248:
  case 254:
  case 255:
            return 1;
  default:
	    return 0;
 }
}

enum {MCHAR, MBYTE, TOKEN, CTRL, CTRL1, CTRL2, NUMBER};

int getType(u8 b)
{
 if(b > 164)  return TOKEN;
 if(b > 0x7f) return MBYTE;
 if(b > 0x1f) return MCHAR;
 if(b > 23)   return MBYTE;
 if(b > 21)   return CTRL2;
 if(b > 15)   return CTRL1;
 if(b == 14)  return NUMBER;
 if(b == 8 || b == 6)   return CTRL;
 return MBYTE;
}

void decodeBasicLine(void)
{
 enum { NORMAL, INSIDE_QUOTAS, INSIDE_REM };
 int mode = NORMAL;
 pos = 0;
 screenPos = 0;
 currentColor = unknownColor;
 int tokenDetected = 0;
 int tokType = 1;
 u16 lineNum = 256 * GC() + GC();    //⠫  ப
 putString(lineNumberColor, "%5u ", lineNum);
 lineList.add(lineNum, list.size());
 lineList2.add(list.size(), lineNum);
 u16 lineSize = GW();                //⠫  ப
 if (basicSize<(ptr-fileBuf)) return;
 if(((lineSize)>basicSize-(ptr-fileBuf)) || lineSize < 2 ) lineSize = basicSize - (ptr-fileBuf);
 //᫨ ப>䠩  ப  2   ࠧ ப   䠩
 u8 cb = 0, pb; // ⥪騩  ।騩 
 count = 0;

 while(count < lineSize)
 {
  if(mode == INSIDE_REM && !flag[2])
  {
   putToken(lineNumberColor, "[skiped]");
   ptr += lineSize-count;
   break;
  }
  pb = cb;
  cb = GC();

  u8 arg1, arg2;
  switch(getType(cb))
  {
   case MBYTE:
	     // 뢠/ 뢠  ப
	     if(cb == 0x0d && count == lineSize && !flag[1]) break;
             putString(commentColor, "[%u]", cb);
             break;
   case CTRL:
             if(!flag[1]) break;
	     if(cb == 6)
	      putToken(ctrlCodesColor, "[,]");
	     else
              putToken(ctrlCodesColor, "[BS]");
	     break;
   case CTRL1:
	     arg1 = GC();
	     if(flag[1]) putString(ctrlCodesColor, "[%s %u]", CtrlCharTable2[cb-16], arg1);
	     break;
   case CTRL2:
             arg1 = GC();
             arg2 = GC();
             if(flag[1]) putString(ctrlCodesColor, "[%s  %u, %u]", CtrlCharTable1[cb-22], arg1, arg2);
	     break;
   case MCHAR:
	     putString(defaultColor, "%c", cb);
             if(cb == ':' && mode == NORMAL) { tokType = 1; tokenDetected = 0; }
             if(cb == '"')
             {
              switch(mode)
	      {
	       case INSIDE_QUOTAS:
			 mode = NORMAL;
                         break;
	       case NORMAL:
                         mode = INSIDE_QUOTAS;
			 break;
	      }
	     }
	     break;
   case TOKEN:
             switch(mode)
             {
	      case INSIDE_REM:
			putString(commentColor, "[%u]", cb);
			break;
              case NORMAL:
                        tokenDetected = 1;
                        if(tokenTable[cb-165].type != 2 && tokType != tokenTable[cb-165].type) mode = INSIDE_REM;
                        // ᫨ ⮪ THEN  ⥯   ⮪ ⨯ 1
			tokType = (cb == 203) ? 1 : 0;
			// ᫨ REM    TR-DOS
			if(cb == 234 && (ptr[0] != ':' || !isTRDOSCommand(ptr[1]))) mode = INSIDE_REM;
              case INSIDE_QUOTAS:
			putToken(tokenColor, tokenTable[cb-165].name);
                        break;
	     }
	     break;
   case NUMBER:
	     if(mode == NORMAL && tokenDetected && (pb < 165 || pb == 196))
             {
              u8 power = GC();
              if(!power)
	      {
	       GC(); u16 number = GW(); GC();
	       if(flag[0]) putString(numberColor, "{%u}", number);
              }
              else
              {
               float floatNum = 1;
	       for(int i = 0; i < abs(power-160); i++) floatNum *= 2;
	       if(power < 160) floatNum = 1/floatNum;

               union
	       {
                u32 u32num;
		u8  u8num[4];
	       } mantisa;

	       mantisa.u8num[3] = GC(); mantisa.u8num[2] = GC();
               mantisa.u8num[1] = GC(); mantisa.u8num[0] = GC();

               if(mantisa.u8num[3] < 0x80)
		floatNum *= (float(mantisa.u32num)+float(0x80000000ul));
	       else
		floatNum *= -float(mantisa.u32num);
               if(flag[0]) putString(numberColor, "{%.2f}", floatNum);
              }
             }
             else
	     {
	      putString(commentColor, "[%u]", cb);
	     }
             break;
  }
 }
 list.add(lineBuf);
}

void decodeBasic(void)
{
 list.removeAll();
 lineList.removeAll();
 lineList2.removeAll();
 ptr = fileBuf;
 while((ptr-fileBuf) < basicSize) decodeBasicLine();
 cur = 0;
}

void showString(u8 *ptr)
{
 for(int i = 0; i < strlen(ptr); i++)
 {
  u8 ch = ptr[i];
  if(ch > 0 && ch < 9)
   textattr(colors[ch-1]);
  else
   putch(ch);
 }
}

inline void showLine(size_t line)
{
 showString(list[line]);
}

void show(void)
{
 window(1, 2, winCols, winRows + 1);
 textattr(colors[defaultColor-1]);
 clrscr();
 window(1, 1, winCols, winRows+2);
 int linesLeft = list.size() - cur;
 int noLines = linesLeft > winRows ? winRows : linesLeft;
 for(int i = 0; i < noLines; i++)
 {
  gotoxy(1, i+2);
  showLine(cur+i);
 }
}

void save(void)
{
 int width=70, height=7;  //ࠧ 
 int X,Y;
 text_info textInfo;
 HideMouse();
 gettextinfo(&textInfo);
 X=textInfo.screenwidth/2-width/2;
 Y=textInfo.screenheight/2-height/2;
 char *tmp = setWin(X, Y, width, height, 5, colors[winColor-1], " Save file ");
 gotoxy(3,3); cputs("Save file as:");
 gotoxy(3,4); cputs("[");
 gotoxy(69,4); cputs("]");
 gotoxy(3,6); cputs("Warning !");
 gotoxy(5,7); cputs("If file already exist, it will be overwritten without prompt");
 textattr(colors[inputColor-1]);

 char inputBuf[66];
 int key, curPos = 0;
 _setcursortype(_NORMALCURSOR);
 memset(inputBuf,' ',65);
 inputBuf[65] = 0;
 gotoxy(4,4);
 cputs(inputBuf);
 gotoxy(4,4);
 ShowMouse();
 inputBuf[0] = 0;
 while(1)
 {
  key = getKey();
  if(key == ESC) { inputBuf[0] = 0; break; }
  if(key == ENTER) break;
  if(key == BS && curPos > 0) inputBuf[--curPos] = 0;
  GetMousePosition();
  GetMouseButton();
  if (Button == 2) { while (GetMouseButton()); inputBuf[0] = 0; break; }
  if(!key) continue;
  if( (key>=32) && (key<=255) && (curPos < 64) )
  {
   inputBuf[curPos++] = key;
   inputBuf[curPos] = 0;
  }
  gotoxy(4, 4);
  HideMouse();
  cprintf("%s \b", inputBuf);
  ShowMouse();
 }
 _setcursortype(_NOCURSOR);

 HideMouse();
 if (tmp) {puttext(X, Y, X+width+2, Y+height+1, tmp); free(tmp);}
 else      show();
 ShowMouse();

 window(textInfo.winleft, textInfo.wintop, textInfo.winright, textInfo.winbottom);
 _wscroll = 0;

 if (!inputBuf[0]) return;

 FILE *ff = fopen(inputBuf, "wt");

 for(int j = 0; j < list.size(); j++)
 {
   for(int i = 0; i < strlen(list[j]); i++)
   {
     u8 ch = list[j][i];
     if(ch >= 32)
       fputc(ch,ff);
   }
   fputc(0x0D0A,ff);
 }

 fclose(ff);
}

void down(void)
{
 movetext(1, 3, winCols, winRows+1, 1, 2);
 gotoxy(1, winRows+1);
 clreol();
 showLine(cur+winRows);
 cur++;
}

void up(void)

{
 movetext(1, 2, winCols, winRows, 1, 3);
 gotoxy(1, 2);
 clreol();
 showLine(--cur);
}

char title[80];

void showTitle(void)
{
 gotoxy(1, 1);
 textattr(colors[sbColor-1]);
 clreol();
 cputs(title);

}

int input(void)
{
 const width = 21, height = 5;  //ࠧ 
 int X, Y;
 text_info textInfo;
 HideMouse();
 gettextinfo(&textInfo);
 X = textInfo.screenwidth / 2 - width / 2;
 Y = textInfo.screenheight / 2 - height / 2;
 char *tmp = setWin(X, Y, width, height, 0, colors[winColor-1], " Goto ");

 gotoxy(6, 3); cputs("Line number:");
 gotoxy(8, 4); cputs("[");
 gotoxy(15, 4); cputs("]");
 textattr(colors[inputColor-1]);
 gotoxy(9, 4);
 cputs("      ");
 gotoxy(9, 4);

 ShowMouse();
 char inputBuf[6];
 int key, curPos = 0;
 _setcursortype(_NORMALCURSOR);
 inputBuf[0] = 0;
 while(1)
 {
  key = getKey();
  if(key == ESC) { inputBuf[0] = 0; break; }
  if(key == ENTER) break;
  if(key == BS && curPos > 0) inputBuf[--curPos] = 0;
  GetMousePosition();
  GetMouseButton();
  if (Button == 2) { while (GetMouseButton()); inputBuf[0] = 0; break; }
  if(!key) continue;
  if(key>255) continue;
  if(isdigit(key) && (curPos < 5))
  {
   inputBuf[curPos++] = key;
   inputBuf[curPos] = 0;
  }
  gotoxy(9, 4);
  HideMouse();
  cprintf("%s \b", inputBuf);
  ShowMouse();
 }
 _setcursortype(_NOCURSOR);

 HideMouse();
 if (tmp) {puttext(X, Y, X+width+2, Y+height+1, tmp); free(tmp);}
 else      show();
 ShowMouse();

 window(textInfo.winleft, textInfo.wintop, textInfo.winright, textInfo.winbottom);
 _wscroll = 0;

 if(!inputBuf[0]) return -1;

 return atoi(inputBuf);
}

void help(void)
{
 const width=61, height=19;  //ࠧ 
 int X,Y;
 text_info textInfo;
 gettextinfo(&textInfo);
 X=textInfo.screenwidth/2-width/2;
 Y=textInfo.screenheight/2-height/2;
 HideMouse();
 char *tmp=setWin(X, Y, width, height, 6, colors[helpColor-1], " About ");

 gotoxy(12,2);cputs("ZX Spectrum BASIC viewer, version "VER);
 gotoxy(8, 3);cputs("Copyright (c) 1997-98 HalfElf, N.Novgorod, RU");
 gotoxy(6, 4);cputs("Copyright (c) 2002 Alexandr Medvedev, St.Oskol, RU");
 gotoxy(18,5);cputs("This product is a freeware");

 gotoxy(22,7);cputs("Keyboard reference");
 gotoxy(5, 8);cputs("F1 - already pressed");
 gotoxy(5, 9);cputs("F2 - save text to file");
 gotoxy(5,10);cputs("F3 - show/hide control codes");
 gotoxy(5,11);cputs("F4 - show/hide real numbers");
 gotoxy(5,12);cputs("F5 - go to line number");
 gotoxy(5,13);cputs("F8 - show/hide comments (except TR DOS commands)");
 gotoxy(5,14);cputs("F10 or ESC - quit");
 gotoxy(5,15);cputs("Arrow keys - scroll text");
 gotoxy(5,16);cputs("PgUp/PgDown - page up / page down");
 gotoxy(5,17);cputs("Home/End - go to top/end of file");
 gotoxy(5,18);cputs("Left mouse button - scroll text or as Fn key (in keybar)");
 gotoxy(5,19);cputs("Right mouse button - as ESC key");

 ShowMouse();
 int key;
 while(1)
 {
  key=getKey();
  GetMouseButton();

  if ((Button))               // ᫨   
  { while (GetMouseButton()); //  ᪠
    goto ret;
  }

  if (key) break;
 }

 ret:
 HideMouse();
 if (tmp) {puttext(X, Y, X+width+2, Y+height+1, tmp); free(tmp);}
 else      show();
 ShowMouse();

 window(textInfo.winleft, textInfo.wintop, textInfo.winright, textInfo.winbottom);
 _wscroll=0;

}


void main(int argc, char **argv)
{
 if(argc < 2)
 {
  puts("\nZX Basic  Viewer,  v"VER"\n"
       "Copyright (c) 1997-98 HalfElf, N.Novgorod, RU\n"
       "Copyright (c) 2002 Alexandr Medvedev, St.Oskol, RU\n" );
  puts("Usage:\nBView <HoBeta file>\n");
  return;
 }
 bFile = fopen(argv[1], "rb");
 if(!bFile) { printf("Can't open file %s\n", argv[1]); return; }

 fseek(bFile, 0, SEEK_END);
 long fileSize = ftell(bFile);
/* if(fileSize < sizeof(HoHdr))
 {
  printf("%s isn't HoBeta Basic file\n", argv[1]);
  return;
 }*/
 fseek(bFile, 0, SEEK_SET);
 HoHdr bFileHdr;
 fread(&bFileHdr, sizeof(HoHdr), 1, bFile);
 if(bFileHdr.checkSum != checkSum(bFileHdr) || bFileHdr.file.type != 'B')
 {
  printf("%s isn't HoBeta Basic file\n", argv[1]);
  return;
 }

 basicSize = bFileHdr.file.length;
 // 뢠 ⠪ ,  basicSize == 0
 if(basicSize < 6) basicSize = bFileHdr.file.start;
 if(basicSize > fileSize) basicSize = fileSize;

 fileBuf = (u8*)malloc(basicSize);
 if(!fileBuf) { puts( "Not enough memory" ); return; }
 fread(fileBuf, basicSize, 1, bFile);
 fseek(bFile, bFileHdr.file.start + sizeof(HoHdr), SEEK_SET);
 u16 startLine;
 fread(&startLine, 2, 1, bFile);
 if(startLine == 0xAA80)
  fread(&startLine, 2, 1, bFile);
 else
  startLine = 0;

#ifdef USER_COLOR

 FILE *cfgFile = fopen(argv[0], "rb");
 if(!cfgFile) { printf("Can't open cfg file %s\n", argv[0]); return; }
 fseek(cfgFile, -15L, SEEK_END);
 fread(flag, 3, 1, cfgFile);
 fread(colors, 12, 1, cfgFile);
 fclose(cfgFile);

#else

 flag[0]=1;      //1 - 뢠 ७ ।⠢ ᥫ, 0 - 
 flag[1]=1;      //1 - 뢠 ࠢ騥 , 0 - 
 flag[2]=1;      //1 - 뢠 ଠ ᫥ REM, 0 - 
 colors[0]=0x1B; //梥 ࠡ祣 / ᨬ
 colors[1]=0x1f; //梥 ⮪ BASIC
 colors[2]=0x17; //梥  ᨬ
 colors[3]=0x1a; //梥   ७ ।⠢ ᥫ
 colors[4]=0x1c; //梥 ஢ ப
 colors[5]=0x18; //梥 ࠢ 
 colors[6]=0x07; //梥  1-10  ᫥ ப
 colors[7]=0x30; //梥  㭪権 
 colors[8]=0xB1; //梥 ப ﭨ
 colors[9]=0x30; //梥  ࠢ
 colors[10]=0x7F; //梥  
 colors[11]=0x0F; //梥 ப 

#endif

 for(int i = 0; i < noTokens; i++) tokenSize[i] = strlen(tokenTable[i].name);

 _setcursortype(_NOCURSOR); // ⠫ 
 _wscroll = 0;              // ⨫ ஫

#ifndef _Windows
  asm {mov ax, 1003h; xor bl,bl; int 10h} //⨫ blink
#endif

 text_info textInfo;
 gettextinfo(&textInfo);
 if ((textInfo.screenwidth<80)||
     (textInfo.screenheight<25))
 {cputs("Unsupported videomode"); return;}
 winCols = textInfo.screenwidth; winRows = textInfo.screenheight-2;
#ifndef _Windows
 char *scrBuf = (char*) malloc(textInfo.screenwidth * textInfo.screenheight * 2);
 if(scrBuf) gettext(1,1,textInfo.screenwidth,textInfo.screenheight,scrBuf);
#endif
 InitMouse();
 SetMouseSpace(0,0,--textInfo.screenwidth*8,--textInfo.screenheight*8);

 // 뢮 StatusLine
 sprintf(title, "NAME: %8.8s.B   SIZE: %-5u  BASIC SIZE: %-5u",
	 bFileHdr.file.name, bFileHdr.file.start, basicSize);
 if(startLine)
  sprintf(title + strlen(title), "  START LINE: %-5u", startLine);
 showTitle();
 // 뢥

 // 뢮 keyBar
 gotoxy(1, winRows+2);
 textattr(colors[keyColor-1]);
 clreol();
 showString(keyBar);
 // 뢥

 decodeBasic();
 show();
 ShowMouse();
 int key;
 while(1)
 {
  int redraw = 0;
  int inputResult;
  size_t basicLine;

  size_t linesLeft = list.size()-cur;

  key=getKey();

  GetMouseButton();

  if ((Button==2))            // ࠢ  
  { while (GetMouseButton());
    key=ESC;
  }

  if (Button==1)              //   
  {
    GetMousePosition();       //  ,  騥 ᪠ 

    if ((CoordY<textInfo.screenheight/2)&&(CoordY>0)) { key=UP; goto presed; }
    if ((CoordY>textInfo.screenheight/2)&&(CoordY<textInfo.screenheight)) { key=DOWN; goto presed; }

    while (GetMouseButton()); //  , 騥 ᪠ 
    GetMousePosition();

    if(CoordY==textInfo.screenheight)  //஢塞 ப  Fn
    { if ((CoordX>=0 )&&(CoordX<8 )) key=F1;
      if ((CoordX>=8 )&&(CoordX<16)) key=F2;
      if ((CoordX>=16)&&(CoordX<24)) key=F3;
      if ((CoordX>=24)&&(CoordX<32)) key=F4;
      if ((CoordX>=32)&&(CoordX<40)) key=F5;
      if ((CoordX>=40)&&(CoordX<48)) key=F6;
      if ((CoordX>=48)&&(CoordX<56)) key=F7;
      if ((CoordX>=56)&&(CoordX<64)) key=F8;
      if ((CoordX>=64)&&(CoordX<72)) key=F9;
      if ((CoordX>=72)&&(CoordX<80)) key=F10;
    }

  }

  presed:
  switch(key)
  {
   case F1:
	     help();
	     textattr(colors[defaultColor-1]);
	     break;
   case F2:
	     save();
 	     textattr(colors[defaultColor-1]);
	     break;
   case F4:  // ७ ।⠢ ᥫ
	     flag[0] = !flag[0];
	     flag[1] = !flag[1];
   case F3:  // ࠢ騥 
	     flag[1] = !flag[1];
	     flag[2] = !flag[2];
   case F8:  // ଠ ᫥ REM
	     flag[2] = !flag[2];
	     basicLine = lineList2(cur);
	     decodeBasic();
	     cur = (lineList[basicLine]);
	     redraw = 1;
	     break;
   case F5:
	     inputResult = input();
	     textattr(colors[defaultColor-1]);
	     if(inputResult == -1) break;
	     cur = lineList[inputResult];
	     redraw = 1;
	     break;
   case ESC:
	     goto exit;
   case F10:
	     goto exit;
   case DOWN:
	     if(linesLeft > winRows)
	       {HideMouse();
		down();
		ShowMouse();
	       }
	     break;
   case UP:
	     if(cur)
	       {HideMouse();
		up();
		ShowMouse();
	       }
	     break;
   case PGDN:
	     if(linesLeft > winRows)
	     {
	      cur += winRows-1;
	      redraw = 1;
	     }
	     break;
   case PGUP:
	     if(!cur) break;
	     if(cur+1 > winRows)
	      cur -= winRows-1;
	     else
	      cur = 0;
	     redraw = 1;
	     break;
   case HOME:
	     if(cur)
	     {
	      cur = 0;
	      redraw = 1;
	     }
	     break;
   case END:
	     if(linesLeft > winRows)
	     {
	      cur = list.size()-winRows;
	      redraw = 1;
	     }
	     break;
  }
  if(redraw) {HideMouse();show();ShowMouse();
   }
 }

 exit:
 _setcursortype( _NORMALCURSOR );
 HideMouse();
#ifndef _Windows
 if (scrBuf)
   {
    puttext(1,1,textInfo.screenwidth+1,textInfo.screenheight+1,scrBuf);
    free(scrBuf);
    gotoxy(textInfo.curx,textInfo.cury);
   }
 else
#else
   {
    textattr(7);
    clrscr();
   }
#endif
 free(fileBuf);
}
